package com.tenlionsoft.aimz_k.page.activity

import android.content.Intent
import androidx.databinding.DataBindingUtil
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivitySplashBinding
import com.tenlionsoft.baselib.base.BaseActivity
import java.util.Timer
import java.util.TimerTask

/**
 * 闪屏页
 */
class SplashActivity : BaseActivity() {
    private lateinit var mBinding: ActivitySplashBinding


    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_splash)
        Timer().schedule(object : TimerTask() {
            override fun run() {
                startActivity(Intent(this@SplashActivity, LoginActivity::class.java));
                finish();
            }

        }, 2000)

    }
}