package com.tenlionsoft.aimz_k.page.activity

import android.view.WindowManager
import androidx.core.content.ContextCompat
import androidx.databinding.DataBindingUtil
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityChatBinding
import com.tenlionsoft.baselib.base.BaseActivity

/**
 * 聊天页面
 */
class ChatActivity : BaseActivity() {
    private lateinit var mBinding: ActivityChatBinding


    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_chat);
        window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS)
        window.statusBarColor =
            ContextCompat.getColor(this, com.tenlionsoft.baselib.R.color.chat_page_bg)
        mBinding.ivBack.setOnClickListener { finish(); }
        mBinding.srlChats.setEnableRefresh(false)
        mBinding.srlChats.setEnableLoadMore(false)
//        SoftHideKeyBoardUtils.assistActivity(this);
    }
}