package com.tenlionsoft.aimz_k.page.activity

import androidx.databinding.DataBindingUtil
import androidx.lifecycle.ViewModelProvider
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.ActivityLoginBinding
import com.tenlionsoft.aimz_k.viewmodel.LoginPageViewModel
import com.tenlionsoft.baselib.base.BaseActivity

class LoginActivity : BaseActivity() {
    private lateinit var mBinding: ActivityLoginBinding
    private var loginPageViewModel: LoginPageViewModel =
        ViewModelProvider(this).get(LoginPageViewModel::class.java);

    override fun bindView() {
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_login)
        mBinding.loginModel = loginPageViewModel;
    }
}