package com.tenlionsoft.aimz_k.page.fragments

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.databinding.DataBindingUtil
import androidx.fragment.app.Fragment
import androidx.fragment.app.viewModels
import com.tenlionsoft.aimz_k.R
import com.tenlionsoft.aimz_k.databinding.FragmentMsgBinding
import com.tenlionsoft.aimz_k.page.activity.ChatActivity
import com.tenlionsoft.aimz_k.viewmodel.MsgViewModel

class MsgFragment : Fragment() {
    private lateinit var mMsgBinding: FragmentMsgBinding

    companion object {
        fun newInstance() = MsgFragment()
    }

    private val viewModel: MsgViewModel by viewModels()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        mMsgBinding = DataBindingUtil.inflate(
            layoutInflater,
            R.layout.fragment_msg,
            container,
            false
        );
        mMsgBinding.llSearchLayout.llSearchLayout.setOnClickListener {
            startActivity(Intent(this@MsgFragment.context, ChatActivity::class.java))
        }
        return mMsgBinding.root;
    }
}